Multivariate Pattern Analysis in Python

# mvpa2.kernels.NumpyKernel

class `mvpa2.kernels.``NumpyKernel`(*args, **kwargs)

  A Kernel object with internal representation as a 2d numpy array

  Attributes

  `descr` | Description of the object if any

  Methods

  Base Kernel class has no parameters

  Attributes

  `descr` | Description of the object if any

  Methods

  `as_np`()

    Converts this kernel to a Numpy-based representation

  `as_raw_np`()

    Directly return this kernel as a numpy array.

    For Numpy-based kernels - simply returns stored matrix.